--- a/src/playlist/layouts/LayoutManager.cpp
+++ b/src/playlist/layouts/LayoutManager.cpp
@@ -426,7 +426,7 @@ int LayoutManager::moveUp( const QString
 {
     int index = m_layoutNames.indexOf( layout );
     if ( index > 0 ) {
-        m_layoutNames.swap ( index, index - 1 );
+        m_layoutNames.swapItemsAt ( index, index - 1 );
         Q_EMIT( layoutListChanged() );
         storeLayoutOrdering();
         return index - 1;
@@ -439,7 +439,7 @@ int LayoutManager::moveDown( const QStri
 {
     int index = m_layoutNames.indexOf( layout );
     if ( index < m_layoutNames.size() -1 ) {
-        m_layoutNames.swap ( index, index + 1 );
+        m_layoutNames.swapItemsAt ( index, index + 1 );
         Q_EMIT( layoutListChanged() );
         storeLayoutOrdering();
         return index + 1;
--- a/src/playlistgenerator/ConstraintSolver.cpp
+++ b/src/playlistgenerator/ConstraintSolver.cpp
@@ -315,7 +315,7 @@ APG::ConstraintSolver::mutate_population
                 child->replace( QRandomGenerator::global()->generate() % s, random_track_from_domain() );
                 break;
             case 3:
-                child->swap( QRandomGenerator::global()->generate() % s, QRandomGenerator::global()->generate() % s );
+                child->swapItemsAt( QRandomGenerator::global()->generate() % s, QRandomGenerator::global()->generate() % s );
                 break;
             case 4:
                 child = crossover( child, parents.at( QRandomGenerator::global()->generate() % parents.size() ) );
